/****************************************************************************
 MYTH - Table header.
 Coded by Saruk (02/11/99)
 ---
 This goes in io/table.c where all external tables are sent to. It allows for
 easy addition.
 ****************************************************************************/

flags flag_table[] = {
	{"Player", 'P', TYPE_PLAYER, -1, TYPE_PLAYER},
	{"Room", 'R', TYPE_ROOM, -1,TYPE_ROOM},
	{"Exit", 'E', TYPE_EXIT, -1,TYPE_EXIT},
	{"Thing", 'T', TYPE_THING, -1, TYPE_THING},
	{"Can_Tel",'t', CAN_TEL, NOMASK,NOMASK},
	{"Wizard",'W', WIZARD, WIZARD,NOMASK},
	{"Invisible",'i', INVISIBLE, WIZARD,NOMASK},
	{"Connect",'c', CONNECT, WIZARD,TYPE_PLAYER},
	{"Locked",'L', LOCKED, NOMASK,NOMASK},
	{"Visual",'v',VISUAL, NOMASK, NOMASK},
	{"Guest", 'G', GUEST, WIZARD, TYPE_PLAYER},
	{"Quiet", 'q', QUIET, NOMASK, TYPE_PLAYER|TYPE_ROOM},
	{"Nospoof", 'N', NOSPOOF, NOMASK, TYPE_PLAYER},
	{"Hidden", 'H', HIDDEN, NOMASK, TYPE_EXIT},
	{"Ansi", 'A', ANSI, NOMASK, TYPE_PLAYER},
	{"No_Walls", 'n', NO_WALLS, NOMASK, TYPE_PLAYER},
	{"Suspect", 'S', SUSPECT, WIZARD, NOMASK},	
	{NULL}};

flags chflag_table[] = {
	{"Wizard", 'W', WIZARD, NOMASK, NOMASK},
	{"Locked", 'L', LOCKED, NOMASK, NOMASK},
	{NULL}};
	
flags aflag_table[] = {
	{"Awizard",'W', AWIZARD, WIZARD},
	{"Ainh",'I', AINH, NOMASK},
	{"Asee",'V', ASEE, NOMASK},
	{"Adark",'D', ADARK, NOMASK},
	{"Aimp",'i', AIMP, WIZARD},
	{"Asolid",'S', ASOLID, WIZARD},
	{"Acheck",'C', ACHECK, WIZARD},
	{"AExit", 'E', AEXIT, WIZARD},
	{NULL}};

#include "attrtable.h"

LOCKS lock_table[]={
	{"power", lock_power},
	{"flag", lock_flag},
	{NULL}};
		
#include "errortable.h"
